import { e as extendTailwindMerge } from './bundle-mjs-fbc6e2a8.js';
import { colorPalette, borderRadius, boxShadows, fontSizes, fontWeights, scales, heights, lineHeights } from './tailwind-config.js';

import.meta.url.replace(/^file:\/\/|\/\w+\.?[jt]s$/g, "").replace(/\/index\.[a-z]+$/g, "");

import.meta.url.replace(/^file:\/\/|\/\w+\.?[jt]s$/g, "").replace(/\/index\.[a-z]+$/g, "");

import.meta.url.replace(/^file:\/\/|\/\w+\.?[jt]s$/g, "").replace(/\/index\.[a-z]+$/g, "");

function r(e){var t,f,n="";if("string"==typeof e||"number"==typeof e)n+=e;else if("object"==typeof e)if(Array.isArray(e))for(t=0;t<e.length;t++)e[t]&&(f=r(e[t]))&&(n&&(n+=" "),n+=f);else for(t in e)e[t]&&(n&&(n+=" "),n+=t);return n}function clsx(){for(var e,t,f=0,n="";f<arguments.length;)(e=arguments[f++])&&(t=r(e))&&(n&&(n+=" "),n+=t);return n}

const customTwMerge = extendTailwindMerge({
  extend: {
    theme: {
      colors: Object.entries(colorPalette).reduce((acc, currentVal) => {
        const colors = Object.keys(currentVal[1]).map(
          (c) => `text-${currentVal[0]}-${c}`
        );
        return [...acc, ...colors];
      }, []),
      borderRadius: Object.keys(borderRadius).map((s) => `rounded-${s}`)
    },
    classGroups: {
      shadow: [{ shadow: Object.keys(boxShadows).map((s) => `shadow-${s}`) }],
      "font-size": Object.keys(fontSizes).map((s) => `text-${s}`),
      "font-weight": Object.keys(fontWeights).map((s) => `font-${s}`),
      scale: Object.keys(scales).map((s) => `scale-${s}`),
      h: Object.keys(heights).map((s) => `h-${s}`),
      leading: Object.keys(lineHeights).map((s) => `leading-${s}`)
    }
  }
});
const cn = (...inputs) => {
  return customTwMerge(clsx(inputs));
};

export { cn as c };
